{%- from "galera/map.jinja" import master,slave with context %}

{%- if master.get('enabled', False) %}
{%- set galera = master %}
{%- else %}
{%- set galera = slave %}
{%- endif %}

mysql_task_service_stopped:
  test.show_notification:
    - name: "dump_message_service_stopped_mysql"
    - text: "Running galera.upgrade.service_stopped"

{%- if galera.get('enabled', False) %}

mysql_service_stopped:
  service.dead:
  - enable: false
  - name: {{ galera.service }}
  {%- if grains.get('noservices') %}
  - onlyif: /bin/false
  {%- endif %}

{%- endif %}
